Subject: [netconf] [Errata Rejected] RFC8341 (6493)

From: RFC Errata System <[email-masked]>
Date: Wed, 7 Apr 2021 08:21:19 -0700 (PDT)

The following errata report has been rejected for RFC8341,
"Network Configuration Access Control Model".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6493

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Balazs Lengyel <[email-masked]>
Date Reported: 2021-03-24
Rejected by: Robert Wilton (IESG)

Section: 3.5.2

Original Text
-------------
All the same rules as an instance-identifier apply,
except that predicates for keys are optional.  If a key
predicate is missing, then the node-instance-identifier
represents all possible server instances for that key.

Corrected Text
--------------
All the same rules as an instance-identifier apply,
except that predicates for keys are optional.  If a key
predicate is missing, then the node-instance-identifier
represents all possible server instances for that key.

Specifying prefixes for the node names is OPTIONAL. If a prefix is not specified the node-instance-identifier represents all possible server instances.

Notes
-----
For the typedef node-instance-identifier (and the leaf path) it is not clear whether the value should or should not include prefixes?
 
https://tools.ietf.org/html/rfc7950#section-9.13.2 states
"All node names in an instance-identifier value MUST be qualified with
   explicit namespace prefixes"

https://tools.ietf.org/html/rfc7950#section-14 - instance-identifier rule
indicates the prefixes are optional.

Whichever is the correct answer it should be explicitly stated.
If prefixes are optional and we have 2 leaves with the same path except the namespace/prefix I assume both are referenced (effected) by the nacm rule. Correct?

Actually this is a bit misleading also in RFC7950.
 --VERIFIER NOTES-- 
The required behavior is specified via section 9.13.2 of RFC 7950.

The ABNF for instance-identifier in RFC 7950 could be clearer to indicate that explicit prefixes are required, but either way the rules in section 9.13.2 of RFC 7950 for instance identifiers cannot be ignored.

--------------------------------------
RFC8341 (draft-ietf-netconf-rfc6536bis-09)
--------------------------------------
Title               : Network Configuration Access Control Model
Publication Date    : March 2018
Author(s)           : A. Bierman, M. Bjorklund
Category            : INTERNET STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG